global santexToolbox_reset

rollout santexToolbox_reset "santexToolbox - Reset settings" width:220 height:180
(
	button btn_tools "Delete current tools" width:200 height:28 tooltip:"Delete all tools for current toolset"
	button btn_all "Reset all" width:200 height:28 tooltip:"Reset all setting to default values (Basically like re-install)"
	
	include "santex_fnlib.ms"
	
	fn reset_main_config=
	(
		
	)
	
	on btn_tools pressed do
	(
		if(querybox "Do you really want to remove/delete all tools in list ?" title:"santexToolbox")do
		(
			
		)
	)
	on btn_all pressed do
	(
		if(querybox "Do you really want to reset all settings ?" title:"santexToolbox")do
		(
			doscommand ("rmdir \""+(getdir #maxroot)+"plugcfg\\santexTools\\santexToolbox\" /S /Q")
			slib.file.init configfile "Config"
			destroydialog santexToolbox_reset
			destroydialog santexToolbox_settings
			santexToolbox.refresh_toolset_list()
		)
	)
	
	on santexToolbox_reset open do
	(
		slib.dlg.setPos santexToolbox_reset (slib.setting.load "santexToolbox_reset.pos" [0,0])
	)
	on santexToolbox_reset close do
	(
		slib.setting.save "santexToolbox_reset.pos" (getDialogPos santexToolbox_reset)
	)
)
createdialog santexToolbox_reset modal:true