global santexToolbox_load_tool_cfg

rollout santexToolbox_load_tool_cfg "Load config" width:200 height:200
(
	local cfgdir=((getdir #maxroot)+"plugcfg\\santexTools\\santexToolbox\\")
	local ui_min_size = [270,200]
	
	label lbl0 "Click to apply config, double-click to apply and close." align:#left
	listbox lbx_cfg "" width:180
	
	include "santex_fnlib.ms"
	
	fn resizeUI new_size=
	(
		ui_max_size=[(systemTools.GetScreenWidth() - 10),(systemTools.GetScreenHeight() - 100)]
		dlg_size=slib.dlg.resizelim santexToolbox_load_tool_cfg new_size ui_min_size ui_max_size
		
		lbx_cfg.width = dlg_size.x - 28
		lbx_cfg.height = dlg_size.y - 38
	)
	
	on santexToolbox_load_tool_cfg resized new_size do
	(
		resizeUI new_size
	)
	
	on santexToolbox_load_tool_cfg open do
	(
		slib.dlg.setSize santexToolbox_load_tool_cfg (slib.setting.load "santexToolbox_load_tool_cfg.size" (getDialogSize santexToolbox_load_tool_cfg))
		resizeUI (slib.dlg.getSize santexToolbox_load_tool_cfg)
		slib.dlg.setPos santexToolbox_load_tool_cfg (slib.setting.load "santexToolbox_load_tool_cfg.pos" [0,0])
	)
	on santexToolbox_load_tool_cfg close do
	(
		slib.setting.save "santexToolbox_load_tool_cfg.pos" (getDialogPos santexToolbox_load_tool_cfg)
		slib.setting.save "santexToolbox_load_tool_cfg.size" (getDialogSize santexToolbox_load_tool_cfg)
	)
)
createdialog santexToolbox_load_tool_cfg style:#(#style_titlebar, #style_sysmenu, #style_resizing) modal:false